=== debian/changelog ===
drs4eb (5.0.6+git20211217+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #979400)

 -- Gürkan Myczko <tar@debian.org>  Mon, 01 Nov 2021 09:49:24 +0100
