=== debian/changelog ===
drs4eb (5.0.6+git20211217+ds-5) unstable; urgency=medium

  * d/rules: ignore minimal cmake version. (Closes: #1112856)

 -- Alex Myczko <tar@debian.org>  Mon, 29 Sep 2025 09:27:37 +0200

drs4eb (5.0.6+git20211217+ds-4) unstable; urgency=medium

  * Bump standards version to 4.7.0.
  * d/copyright: fix typo.

 -- Alex Myczko <tar@debian.org>  Mon, 15 Jul 2024 21:51:20 +0000

drs4eb (5.0.6+git20211217+ds-3) unstable; urgency=medium

  * Fix for GUI glitches (sliders).
  * Bump standards version to 3.6.2.
  * Bump debhelper version to 13.
  * d/copyright: bump year.
  * d/control: update Vcs fields.

 -- Gürkan Myczko <tar@debian.org>  Tue, 23 Jan 2024 11:07:42 +0100

drs4eb (5.0.6+git20211217+ds-2) unstable; urgency=medium

  * Transition to wxwdigets3.2, update d/control: build-depends:
    libwxgtk3.0-gtk3-dev to libwxgtk3.2-dev. (Closes: #1019832)
  * Bump standards version to 3.6.1.
  * d/copyright: bump year.

 -- Gürkan Myczko <tar@debian.org>  Thu, 15 Sep 2022 09:02:26 +0200
