=== debian/control ===
Source: drs4eb
Section: science
Priority: optional
Maintainer: Alex Myczko <tar@debian.org>
Build-Depends: debhelper-compat (= 13),
 cmake,
 libwxgtk3.2-dev,
 libusb-1.0-0-dev
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/drs4eb
Vcs-Git: https://salsa.debian.org/debian/drs4eb.git
Homepage: https://www.psi.ch/en/drs/software-download

Package: drs4eb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: DRS4 Evaluation Board software
 The DRS4 chip is a full custom Integrated Circuit developed at PSI,
 Switzerland. It contains a switched capacitor array (SCA) with 1024 cells,
 capable of digitizing eight analog signals with high speed (6 GSPS) and high
 accuracy (11.5 bit SNR) on a single chip. This web site contains the chip
 documentation and software (firmware, drivers, applications) needed in order
 to work with the chip or the chip evaluation board.
 .
 This is software that is only useful if you also get the hardware for it.
